<?php

namespace Larayellow\Review\Repositories\Eloquent;

use Larayellow\Review\Interfaces\ReviewRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Larayellow\Review\Repositories\Eloquent\Presenters\ReviewItemPresenter;


class ReviewRepository extends BaseRepository implements ReviewRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('larayellow.review.review.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('larayellow.review.review.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ReviewItemPresenter::class;
    }
}
